POST api/rewards/update
Updates rewards from a referral program.
Request Information
URI Parameters
Query String:
None.
Body Parameters
A list of required structures containing the details of the reward to update.
Type: Collection of UpdateReward
| Name | Description | Type | Additional information |
|---|---|---|---|
| rewardId |
The unique ID of a reward to update. |
string |
Required |
| amount |
The value of the reward. Optional. |
decimal number |
None. |
| payoutId |
The ID of the payout of which the reward will be based on. |
string |
Required |
| eligibilityDate |
Date on which the recipient would be eligible to receive the reward. Optional. |
date |
None. |
| description |
A text field to provide additional information about the reward. Optional. |
string |
None. |
Request Formats
application/json, text/json
[
{
"rewardId": "sample string 1",
"amount": 1.0,
"payoutId": "sample string 2",
"eligibilityDate": "2026-07-08T21:13:07.1874298Z",
"description": "sample string 3"
},
{
"rewardId": "sample string 1",
"amount": 1.0,
"payoutId": "sample string 2",
"eligibilityDate": "2026-07-08T21:13:07.1874298Z",
"description": "sample string 3"
}
]
application/xml, text/xml
<ArrayOfupdateReward xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
<updateReward>
<payoutId>sample string 2</payoutId>
<eligibilityDate>2026-07-08T21:13:07.1874298+00:00</eligibilityDate>
<description>sample string 3</description>
<rewardId>sample string 1</rewardId>
<amount>1</amount>
</updateReward>
<updateReward>
<payoutId>sample string 2</payoutId>
<eligibilityDate>2026-07-08T21:13:07.1874298+00:00</eligibilityDate>
<description>sample string 3</description>
<rewardId>sample string 1</rewardId>
<amount>1</amount>
</updateReward>
</ArrayOfupdateReward>
Response Information
Resource Description
[HTTP Status 200 - OK]
Type: RewardConfirmation
| Name | Description | Type | Additional information |
|---|---|---|---|
| reward |
Structure containing details about a reward |
Reward |
None. |
| message |
The message provides more information about the results of the client's request. Review this field for error information. |
string |
None. |
Response Formats
application/json, text/json
{
"message": "sample string 1",
"reward": {
"id": "93953601-6cd4-4a9f-81c3-6a9dd91a0abb",
"payoutId": "7d089438-438e-4a91-b8ef-53e80237d23d",
"payoutDescription": "sample string 3",
"programId": "62d1bef8-1640-4d58-82f4-79b234133bf6",
"programName": "sample string 5",
"memberId": "f77a766f-28ff-46c0-a7ea-7bc15f733d19",
"referralId": "d51d2b45-e34e-43a2-8c52-d2994d9b1410",
"type": "sample string 6",
"recipientId": "64c46b02-1df5-4f20-9a31-619c9ccedf1c",
"recipientName": "sample string 7",
"recipientEmailAddress": "sample string 8",
"recipientExternalIdentifier": "sample string 9",
"externalIdentifier": "sample string 10",
"status": "sample string 11",
"amount": 12.0,
"createDate": "2026-07-08T21:13:07.2030547Z",
"issueDate": "2026-07-08T21:13:07.2030547Z",
"eligibilityDate": "2026-07-08T21:13:07.2030547Z",
"description": "sample string 15",
"transactionID": "1aeb4a61-f446-4d2b-ac10-c66ccb230dee",
"updateDate": "2026-07-08T21:13:07.2030547Z",
"referralDisplayName": "sample string 17",
"currencyCode": "sample string 18",
"source": "sample string 19",
"programRewardRuleId": "f013eb6d-b321-4eaa-a6d2-597f7d27d2a9",
"paymentType": "sample string 20",
"paymentCode": "sample string 21",
"completeNote": "sample string 22",
"reason": "sample string 23",
"reasonOther": "sample string 24"
}
}
application/xml, text/xml
<rewardConfirmation xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
<message>sample string 1</message>
<reward>
<id>93953601-6cd4-4a9f-81c3-6a9dd91a0abb</id>
<payoutId>7d089438-438e-4a91-b8ef-53e80237d23d</payoutId>
<payoutDescription>sample string 3</payoutDescription>
<programId>62d1bef8-1640-4d58-82f4-79b234133bf6</programId>
<programName>sample string 5</programName>
<memberId>f77a766f-28ff-46c0-a7ea-7bc15f733d19</memberId>
<referralId>d51d2b45-e34e-43a2-8c52-d2994d9b1410</referralId>
<type>sample string 6</type>
<recipientId>64c46b02-1df5-4f20-9a31-619c9ccedf1c</recipientId>
<recipientName>sample string 7</recipientName>
<recipientEmailAddress>sample string 8</recipientEmailAddress>
<recipientExternalIdentifier>sample string 9</recipientExternalIdentifier>
<externalIdentifier>sample string 10</externalIdentifier>
<status>sample string 11</status>
<amount>12</amount>
<createDate>2026-07-08T21:13:07.2030547+00:00</createDate>
<issueDate>2026-07-08T21:13:07.2030547+00:00</issueDate>
<eligibilityDate>2026-07-08T21:13:07.2030547+00:00</eligibilityDate>
<description>sample string 15</description>
<transactionID>1aeb4a61-f446-4d2b-ac10-c66ccb230dee</transactionID>
<updateDate>2026-07-08T21:13:07.2030547+00:00</updateDate>
<referralDisplayName>sample string 17</referralDisplayName>
<currencyCode>sample string 18</currencyCode>
<source>sample string 19</source>
<programRewardRuleId>f013eb6d-b321-4eaa-a6d2-597f7d27d2a9</programRewardRuleId>
<paymentType>sample string 20</paymentType>
<paymentCode>sample string 21</paymentCode>
<completeNote>sample string 22</completeNote>
<reason>sample string 23</reason>
<reasonOther>sample string 24</reasonOther>
</reward>
</rewardConfirmation>